<?php
/**
 * Elementor compatibility
 *
 * @package Hestia
 */

/**
 * Class Hestia_Elementor_Compatibility_Addon
 */
class Hestia_Elementor_Compatibility_Addon extends Hestia_Elementor_Compatibility {

	/**
	 * Initialize module.
	 */
	public function init() {
		parent::init();
		// Elementor locations compatibility.
		$this->loader->add_action( 'elementor/theme/register_locations', $this, 'register_theme_locations', 100 );
	}

	/**
	 * Register Theme Location for Elementor
	 * see https://developers.elementor.com/theme-locations-api/
	 *
	 * @param object $elementor_theme_manager Elementor object.
	 */
	public function register_theme_locations( $elementor_theme_manager ) {
		$elementor_theme_manager->register_location(
			'header',
			array(
				'hook'            => 'hestia_do_header',
				'remove_hooks'    => array( array( 'Hestia_Header_Addon', 'the_header_content' ) ),
				'edit_in_content' => false,
			)
		);
		$elementor_theme_manager->register_location(
			'footer',
			array(
				'hook'            => 'hestia_do_footer',
				'remove_hooks'    => array( array( 'Hestia_Footer', 'the_footer_content' ) ),
				'edit_in_content' => false,
			)
		);
	}
}
